summarylogtreecommitdiffstats
path: root/eusoft-ting-fr.sh
diff options
context:
space:
mode:
authorzxp198210052023-12-21 15:16:22 +0800
committerzxp198210052023-12-21 15:16:22 +0800
commit3fd0e6c0d773642bb69fc2d2af9d9e23aca57c9e (patch)
tree490551c59f75d2217a6db3c1022525e98c406195 /eusoft-ting-fr.sh
parentdb81c9991a3c09df29ebbe935baf6652b9c35667 (diff)
downloadaur-3fd0e6c0d773642bb69fc2d2af9d9e23aca57c9e.tar.gz
fix errors
Diffstat (limited to 'eusoft-ting-fr.sh')
-rw-r--r--eusoft-ting-fr.sh22
1 files changed, 14 insertions, 8 deletions
diff --git a/eusoft-ting-fr.sh b/eusoft-ting-fr.sh
index 4fc867e8e238..c77c53567639 100644
--- a/eusoft-ting-fr.sh
+++ b/eusoft-ting-fr.sh
@@ -1,11 +1,17 @@
-#!/bin/bash
-_ELECTRON=/usr/bin/electron13
-APPDIR="/usr/lib/eusoft-ting-fr"
-export PATH="${APPDIR}:${PATH}"
-export LD_LIBRARY_PATH="${APPDIR}/swiftshader:${LD_LIBRARY_PATH}"
-_ASAR="${APPDIR}/app.asar"
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
- exec ${_ELECTRON} ${_ASAR} "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" "$@"
+ exit
else
- exec ${_ELECTRON} ${_ASAR} --no-sandbox "$@"
+ cd "${_APPDIR}"
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+ exit
fi \ No newline at end of file